Bug 231061 - irc/hexchat: update to 2.14.2
Summary: irc/hexchat: update to 2.14.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-31 17:27 UTC by Piotr Kubaj
Modified: 2018-09-03 13:13 UTC (History)
2 users (show)

See Also:
pkubaj: maintainer-feedback+


Attachments
patch (2.72 KB, patch)
2018-08-31 17:27 UTC, Piotr Kubaj
pkubaj: maintainer-approval+
Details | Diff
patch (3.78 KB, patch)
2018-08-31 22:52 UTC, Piotr Kubaj
pkubaj: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-08-31 17:27:01 UTC
Created attachment 196752 [details]
patch

Tested on 11.2-RELEASE with Poudriere.
Comment 1 Nathan 2018-08-31 19:44:11 UTC
I get this on 12-current

WARNING: GLib compiled dependencies do not work reliably with 
the current version of GLib. See the following upstream issue: https://bugzilla.gnome.org/show_bug.cgi?id=774368
Program generate_header.py found: YES (/wrkdirs/usr/ports/irc/hexchat/work/hexchat-2.14.2/plugins/perl/generate_header.py)
Program true found: YES (/usr/bin/true)

plugins/perl/meson.build:76:2: ERROR:  Problem encountered: found perl not suitable for plugin
Comment 2 Piotr Kubaj freebsd_committer 2018-08-31 22:52:47 UTC
Created attachment 196755 [details]
patch

Sorry, I forgot to add a new patch to my SVN copy.
Comment 3 Nathan 2018-09-01 00:39:12 UTC
add gnome to uses, as use_gnome alone is depreciated

Also builds fine on amd64 12-CURRENT
Comment 4 commit-hook freebsd_committer 2018-09-03 13:12:57 UTC
A commit references this bug:

Author: swills
Date: Mon Sep  3 13:12:29 UTC 2018
New revision: 478869
URL: https://svnweb.freebsd.org/changeset/ports/478869

Log:
  irc/hexchat: update to 2.14.2

  PR:		231061
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl> (maintainer)

Changes:
  head/irc/hexchat/Makefile
  head/irc/hexchat/distinfo
  head/irc/hexchat/files/patch-meson__options.txt
  head/irc/hexchat/files/patch-plugins_perl_meson.build
  head/irc/hexchat/files/patch-src__common__server.c
Comment 5 Steve Wills freebsd_committer 2018-09-03 13:13:40 UTC
Committed, thanks!